# Oracles

Endpoints that begin with `/oracles/` path provide users with access to data that is used within premia across various parts of the platform including by not limited to price settlement of options, unrealized PnL calculations, option pricing for vaults, and more. By accessing these endpoints, it is easier for users to know what values are being used for various calculations.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.premia.blue/developer-center/apis/containerized-api/api-reference/oracles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
